package com.gycsabesz.huntitdown.controller.item
{
	import com.gycsabesz.huntitdown.controller.plane.PlaneController;
	import com.gycsabesz.huntitdown.view.GameView;
	import com.gycsabesz.huntitdown.view.Playground;
	import com.gycsabesz.huntitdown.view.hud.item.Item;
	import com.gycsabesz.huntitdown.view.hud.item.ItemArmor;
	
	import flash.display.MovieClip;
	
	/**
	 * Generator of armor items.
	 */
	public class ItemArmorGenerator extends AbstractItemGenerator
	{
		public function ItemArmorGenerator(minimumInterval:Number, maximumInterval:Number, view:GameView, planeController:PlaneController){
			super(minimumInterval, maximumInterval, view, planeController);
		}
		
		override public function createItemViewInstance():Item{
			return new ItemArmor();
		}
		
		override public function createItemControllerInstance():AbstractItemController{
			return new ItemArmorController();
		}
	}
}