package com.gycsabesz.huntitdown.model
{
	import com.gycsabesz.huntitdown.event.MenuEvent;
	
	import flash.events.EventDispatcher;
	import flash.geom.ColorTransform;

	/**
	 * Holds information about the menu.
	 */
	public class MenuModel extends EventDispatcher
	{
		public static const PAGE_NONE:int = 0;
		
		public static const PAGE_ABOUT:int = 1;
		public static const PAGE_INSTRUCTIONS:int = 2;
		public static const PAGE_MAIN_MENU:int = 3;
		public static const PAGE_NEW_GAME:int = 4;
		public static const PAGE_GAME_COMPLETED:int = 5;
		public static const PAGE_GAME_FAILED:int = 6;
		
		protected var page:int;
		
		public function MenuModel()
		{
		}
		
		/**
		 * Set the actual page of the menu to the specified one.
		 */
		public function setPage(pageNumber:int):void{
			this.page = pageNumber;	
			dispatchEvent(new MenuEvent(MenuEvent.CHANGED_PAGE));
		}
		
		/**
		 * Actual page in menu.
		 */
		public function getPage():int{
			return this.page;
		}
	}
}