package com.gycsabesz.huntitdown.view.menu.colorchooser
{
	import com.gycsabesz.huntitdown.view.planes.PlaneTa152C;
	import com.gycsabesz.huntitdown.view.planes.PlaneTa152CGraphic;
	
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.geom.ColorTransform;
	
	/**
	 * Color panel of the user's plane.
	 */
	public class ColorChooser extends MovieClip
	{
		protected var plane:PlaneTa152CGraphic;
		protected var colorTransform:ColorTransform;
		
		public function ColorChooser()
		{
			var item:ColorItem = new ColorItem(255, 0, 0);
			addChild(item);
			item.addEventListener(MouseEvent.CLICK, colorItem_mouseClickHandler);
			item.x = 0;
			item.y = 0;
			
			item = new ColorItem(0, 0, 0);
			addChild(item);
			item.addEventListener(MouseEvent.CLICK, colorItem_mouseClickHandler);
			item.x = 30;
			item.y = 0;
			
			item = new ColorItem(0, 0, 255);
			addChild(item);
			item.addEventListener(MouseEvent.CLICK, colorItem_mouseClickHandler);
			item.x = 60;
			item.y = 0;
			
			item = new ColorItem(204, 204, 204);
			addChild(item);
			item.addEventListener(MouseEvent.CLICK, colorItem_mouseClickHandler);
			item.x = 0;
			item.y = 30;
			
			item = new ColorItem(102, 102, 51);
			addChild(item);
			item.addEventListener(MouseEvent.CLICK, colorItem_mouseClickHandler);
			item.x = 30;
			item.y = 30;
			
			item = new ColorItem(255, 128, 0);
			addChild(item);
			item.addEventListener(MouseEvent.CLICK, colorItem_mouseClickHandler);
			item.x = 60;
			item.y = 30;
			
			item = new ColorItem(128, 64, 0);
			addChild(item);
			item.addEventListener(MouseEvent.CLICK, colorItem_mouseClickHandler);
			item.x = 0;
			item.y = 60;
			
			item = new ColorItem(0, 128, 192);
			addChild(item);
			item.addEventListener(MouseEvent.CLICK, colorItem_mouseClickHandler);
			item.x = 30;
			item.y = 60;
			
			item = new ColorItem(128, 64, 64);
			addChild(item);
			item.addEventListener(MouseEvent.CLICK, colorItem_mouseClickHandler);
			item.x = 60;
			item.y = 60;
			
			plane = new PlaneTa152CGraphic();
			addChild(plane);
			plane.x = 185;
			plane.y = 35;
		}
		
		public function colorItem_mouseClickHandler(e:MouseEvent):void{ 
			colorTransform = (e.target as ColorItem).getColorTransform();
			plane.transform.colorTransform = colorTransform; 
		}
		
		public function getColor():ColorTransform{
			return colorTransform;
		}
	}
}