package com.gycsabesz.huntitdown.controller.item
{
	import com.gycsabesz.huntitdown.controller.plane.PlaneController;
	import com.gycsabesz.huntitdown.view.GameView;
	import com.gycsabesz.huntitdown.view.Playground;
	import com.gycsabesz.huntitdown.view.hud.item.Item;
	import com.gycsabesz.huntitdown.view.hud.item.ItemLife;
	
	import flash.display.MovieClip;
	
	/**
	 * Generator of life items.
	 */
	public class ItemLifeGenerator extends AbstractItemGenerator
	{
		public function ItemLifeGenerator(minimumInterval:Number, maximumInterval:Number, view:GameView, planeController:PlaneController){
			super(minimumInterval, maximumInterval, view, planeController);
		}
		
		override public function createItemViewInstance():Item{
			return new ItemLife();
		}
		
		override public function createItemControllerInstance():AbstractItemController{
			return new ItemLifeController();
		}
	}
}