package com.gycsabesz.huntitdown.controller.weaponry
{
	/**
	 * Interface of all gun implementations.
	 */
	public interface GunController
	{
		/**
		 * Fire with this gun.
		 */
		function fire():void;
		
		/**
		 * Starts firing with this gun.
		 */
		function startFire():void;
		
		/**
		 * Stops firing with this gun.
		 */
		function stopFire():void;		
	}
}