package com.gycsabesz.huntitdown.model.plane
{
	import com.gycsabesz.huntitdown.model.weaponry.gun.MachineGunModel;
	import com.gycsabesz.huntitdown.model.weaponry.gun.RocketLauncherModel;

	public class PlayerPlaneModel extends PlaneModelImpl
	{
		public function PlayerPlaneModel()
		{
			setMachineGun1(new MachineGunModel(this));
			setMachineGun2(new MachineGunModel(this));
			setRocketLauncher1(new RocketLauncherModel(this));
			
			resetModel();
		}
		
		/**
		 * Resets the model to the default, initial state.
		 */
		public function resetModel():void{
			setActive(true);
			setMaxArmor(100);
			setArmor(100);
			
			setMaxLife(3);
			setLife(3);
			
			setScore(0);
			
			setTopSpeed(6);
			
			setAcceleration(1);
			
			getMachineGun1().setInfinite(true);
			getMachineGun1().setFiringRate(400);
			
			getRocketLauncher1().setMaxAmmo(1);
			getRocketLauncher1().setAmmo(0);
		}
	}
}