package com.gycsabesz.huntitdown.view.explosion
{
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.geom.ColorTransform;
	
	/**
	 * Rocket fire.
	 */
	public class RocketParticle extends MovieClip
	{
		/**
		 * Creates a new rocket fire.
		 */
		public function RocketParticle()
		{
			var particle:RocketSmokeParticle = new RocketSmokeParticle();
			this.addChild(particle);
			var particle2:RocketFireParticle = new RocketFireParticle();
			this.addChild(particle2);
		}
	}
}
import com.gycsabesz.huntitdown.view.explosion.SmokeParticleItem;

import flash.display.MovieClip;
import flash.events.Event;
import flash.geom.ColorTransform;

/**
 * Smoke particles of rocket fire.
 */
class RocketSmokeParticle extends MovieClip
{
	public function RocketSmokeParticle()
	{
		addEventListener(Event.ENTER_FRAME, this_enterFrameHandler, false, 0, true);
	}
	
	private function this_enterFrameHandler(e:Event) : void
	{
		var item:SmokeParticleItem = new SmokeParticleItem(1, 0.01, 0.02, 0.4, 3, 0);
		item.x = 0;
		item.y = 0;
		this.addChild(item);
	}
}

/**
 * Fire particles of rocket fire.
 */
class RocketFireParticle extends MovieClip
{
	public function RocketFireParticle()
	{
		addEventListener(Event.ENTER_FRAME, this_enterFrameHandler, false, 0, true);
		
		var colorTransform:ColorTransform = new ColorTransform();
		colorTransform.color   = 0xFFCC66;
		this.transform.colorTransform = colorTransform; 			
	}
	
	private function this_enterFrameHandler(e:Event) : void
	{
		var item:SmokeParticleItem = new SmokeParticleItem(1, 0.02, 0.01, 0.4, 4, 0);
		item.x = 0;
		item.y = 0;
		this.addChild(item);
	}
}