package com.gycsabesz.huntitdown.view.hud
{
	import com.gycsabesz.huntitdown.event.InfoTextEvent;
	import com.gycsabesz.huntitdown.event.InfoTextLineEvent;
	
	import flash.display.MovieClip;
	import flash.display.Stage;

	public class InfoTextLine extends MovieClip
	{
		protected var messages:Array;
		protected var i:Number;
		protected var infoText:InfoText;
		
		public function InfoTextLine(... messages)
		{
			this.messages = messages;
			i = 0;
			showNextInfoText();
			dispatchEvent(new InfoTextLineEvent(InfoTextLineEvent.PLAYING_STARTED));
		}
		
		protected function infoText_playingFinishedHandler(e: InfoTextEvent):void{
			infoText.removeEventListener(InfoTextEvent.PLAYING_FINISHED, infoText_playingFinishedHandler); 
			
			i++;
			if (messages.length > i){
				showNextInfoText();
			} else {
				dispatchEvent(new InfoTextLineEvent(InfoTextLineEvent.PLAYING_FINISHED));
			}
		}
		
		protected function showNextInfoText():void{
			infoText = new InfoText(messages[i]);
			addChild(infoText);
			infoText.addEventListener(InfoTextEvent.PLAYING_FINISHED, infoText_playingFinishedHandler);
		}
	}
}