package com.gycsabesz.huntitdown.view.hud
{
	import com.gycsabesz.huntitdown.event.PlaneEvent;
	import com.gycsabesz.huntitdown.model.plane.PlaneModel;
	
	import flash.display.MovieClip;
	import flash.events.EventDispatcher;
	import flash.text.TextField;
	
	/**
	 * Displays the score gained by the user.
	 */ 
	public class ScoreText extends MovieClip
	{
		protected var model:PlaneModel
		
		public var scoreDisplay:TextField;
		
		/**
		 * Creates a new score display instance.
		 */
		public function ScoreText(model:PlaneModel)
		{
			super();
			
			this.model = model;
			
			(model as EventDispatcher).addEventListener(PlaneEvent.CHANGED_SCORE, planeModel_changedScoreHandler);
		}
		
		/**
		 * Listener for score changed events.
		 */
		protected function planeModel_changedScoreHandler(e:PlaneEvent):void{
			this.scoreDisplay.text = "" + model.getScore();
		}
		
		/**
		 * Refresh the score.
		 */
		public function refresh():void{
			planeModel_changedScoreHandler(null);
		}
	}
}