﻿package com.gycsabesz.huntitdown.view.menu.pages {
	
	import com.gycsabesz.huntitdown.controller.MenuController;
	import com.gycsabesz.huntitdown.model.MenuModel;
	import com.gycsabesz.huntitdown.view.menu.MenuButton;
	
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	
	/**
	 * Menu page: game completed
	 */
	public class PageGameCompleted extends MovieClip {
		public var btnBack:MenuButton;
		
		protected var controller:MenuController;
		protected var model:MenuModel;

		public function PageGameCompleted(model:MenuModel, controller:MenuController) {
			this.model = model;
			this.controller = controller;
			
			this.stop();
			
			btnBack.setLabel("Back to main menu");
			btnBack.addEventListener(MouseEvent.CLICK, btnBack_clickHandler);
		}
		
		/**
		 * Back to main menu button is pressed
		 */
		protected function btnBack_clickHandler(e:MouseEvent):void{
			controller.gotoMainMenu();
		}
	}
}
