package com.gycsabesz.huntitdown.view.weaponry.gun
{
	import com.gycsabesz.huntitdown.controller.weaponry.RocketLauncherController;
	import com.gycsabesz.huntitdown.event.GunEvent;
	import com.gycsabesz.huntitdown.model.weaponry.gun.GunModel;
	
	import flash.events.EventDispatcher;
	
	/**
	 * Represents a rocket launcher.
	 */
	public class RocketLauncher extends Gun	
	{
		public function RocketLauncher(controller:RocketLauncherController)
		{
			super(controller);
			(controller.getModel() as EventDispatcher).addEventListener(GunEvent.CHANGED_AMMO, rocketModel_changedAmmoHandler);
			(controller.getModel() as EventDispatcher).addEventListener(GunEvent.CHANGED_INFINITE, rocketModel_changedAmmoHandler);
		}
		
		protected function rocketModel_changedAmmoHandler(e:GunEvent):void{
			if (controller.getModel().hasAmmo()){
				this.visible = true;
			} else {
				this.visible = false;
			}
		}
		
		public function refresh():void{
			rocketModel_changedAmmoHandler(null);
		}
	}
}